Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER/COMP/inca.card	(revision 4943)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER/COMP/inca.card	(revision 4971)
@@ -21,4 +21,23 @@
 #be careful name of sflx file change with the choice of emi_interp_time ( no file / sflx_p2p.nc ) 
 emi_interp_time=1
+
+
+# Specify output frequency for output files 
+# File aerosols_from_inca will be systematically write in output with a monthly frequency - you cannot manage it from this card
+# for other files you can choose the frequency 1d (daily), 1mo (monthly), other (1ts, 5d, etc.) or NONE if to deactivate it
+# if you choose 1d the file will be store in CHM/Output/DA
+# if you choose 1mo the file will be store in CHM/Output/MO
+# if you choose another frequency, the file will be store in CHM/Output/DA by default
+output_frequency_chem=1d
+output_frequency_emi=1d
+output_frequency_species=1d
+output_frequency_forcage=1d
+output_frequency_aero=1d
+output_frequency_dep=1d
+output_frequency_washrate=NONE
+output_frequency_veget=NONE
+output_frequency_reacflux=NONE
+output_frequency_phtrate=NONE
+output_frequency_invariants=NONE
 
 
@@ -52,6 +71,5 @@
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml, .) ,\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml, file_def_inca_restart.xml ), \
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_AER_daily.xml, file_def_inca_daily.xml ), \
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_AER_monthly.xml, file_def_inca_monthly.xml ), \
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_AER.xml, file_def_inca.xml ), \
     	(${MODIPSL}/bin/inca_${ResolAtm}_${OptMode}_${ConfChem}.dat, inca.dat)
 
@@ -63,5 +81,5 @@
 
 [OutputText]
-List=(inca.out, inca.def,context_inca.xml,field_def_inca.xml,file_def_inca_daily.xml,file_def_inca_monthly.xml, inca_IDxml.out)
+List=(inca.out, inca.def,context_inca.xml,field_def_inca.xml,file_def_inca.xml, inca_IDxml.out)
 
 [OutputFiles]
@@ -75,13 +93,13 @@
 	(inca1d_chem.nc        ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_chem.nc       ,    NONE  ),\
 	(inca1d_washrate.nc    ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_washrate.nc   ,    NONE  ),\
-	(inca1m_emi.nc         ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_emi.nc        ,    NONE  ),\
-	(inca1m_species.nc     ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_species.nc    ,    NONE  ),\
-	(inca1m_dep.nc        ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_dep.nc       ,    NONE  ),\
-	(inca1m_aero.nc        ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_aero.nc       ,    NONE  ),\
-	(inca1m_forcage.nc     ,      ${R_OUT_CHM_O_D}/${PREFIX}_1M_inca_forcage.nc    ,    NONE  ),\
-	(inca1m_invariants.nc  ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_invariants.nc ,    NONE  ),\
-	(inca1m_reacflux.nc    ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_reacflux.nc   ,    NONE  ),\
-	(inca1m_chem.nc        ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_chem.nc       ,    NONE  ),\
-	(inca1m_washrate.nc    ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_washrate.nc   ,    NONE  ),\
+	(inca1mo_emi.nc         ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_emi.nc        ,    NONE  ),\
+	(inca1mo_species.nc     ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_species.nc    ,    NONE  ),\
+	(inca1mo_dep.nc        ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_dep.nc       ,    NONE  ),\
+	(inca1mo_aero.nc        ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_aero.nc       ,    NONE  ),\
+	(inca1mo_forcage.nc     ,      ${R_OUT_CHM_O_D}/${PREFIX}_1M_inca_forcage.nc    ,    NONE  ),\
+	(inca1mo_invariants.nc  ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_invariants.nc ,    NONE  ),\
+	(inca1mo_reacflux.nc    ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_reacflux.nc   ,    NONE  ),\
+	(inca1mo_chem.nc        ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_chem.nc       ,    NONE  ),\
+	(inca1mo_washrate.nc    ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_washrate.nc   ,    NONE  ),\
 	(aerosols_from_inca.nc   ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_aerosols_from_inca.nc,    NONE  )
 
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/DUSS/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/DUSS/COMP/inca.card	(revision 4943)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/DUSS/COMP/inca.card	(revision 4971)
@@ -19,4 +19,15 @@
 emi_interp_time=1
 
+
+# Specify output frequency for output files 
+# you can choose the frequency 1d (daily), 1mo (monthly), other (1ts, 5d, etc.) or NONE if to deactivate it
+# if you choose 1d the file will be store in CHM/Output/DA
+# if you choose 1mo the file will be store in CHM/Output/MO
+# if you choose another frequency, the file will be store in CHM/Output/DA by default
+output_frequency_emi=1d
+output_frequency_species=1d
+output_frequency_forcage=1d
+output_frequency_aero=1d
+output_frequency_veget=NONE
 
 [InitialStateFiles]
@@ -49,6 +60,5 @@
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml, .) ,\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml, file_def_inca_restart.xml ), \
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_DUSS_daily.xml, file_def_inca_daily.xml), \
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_DUSS_monthly.xml, file_def_inca_monthly.xml), \
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_DUSS.xml, file_def_inca.xml), \
     	(${MODIPSL}/bin/inca_${ResolAtm}_${OptMode}_${ConfChem}.dat, inca.dat)
 
@@ -59,5 +69,5 @@
 
 [OutputText]
-List=(inca.out, inca.def,context_inca.xml,field_def_inca.xml,file_def_inca_daily.xml,file_def_inca_monthly.xml, inca_IDxml.out)
+List=(inca.out, inca.def,context_inca.xml,field_def_inca.xml,file_def_inca.xml, inca_IDxml.out)
 
 [OutputFiles]
@@ -66,8 +76,8 @@
 	(inca1d_forcage.nc ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_forcage.nc ,  Post_1D_inca_forcage  ),\
 	(inca1d_veget.nc   ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_veget.nc   ,  Post_1D_inca_veget  ),\
-	(inca1m_aero.nc    ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_aero.nc    ,  NONE  ),\
-	(inca1m_reacflux.nc,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_reacflux.nc,  NONE  ),\
-	(inca1m_forcage.nc ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_forcage.nc ,  NONE  ),\
-	(inca1m_veget.nc   ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_veget.nc   ,  NONE  )
+	(inca1mo_aero.nc    ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_aero.nc    ,  NONE  ),\
+	(inca1mo_reacflux.nc,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_reacflux.nc,  NONE  ),\
+	(inca1mo_forcage.nc ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_forcage.nc ,  NONE  ),\
+	(inca1mo_veget.nc   ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_veget.nc   ,  NONE  )
 
 
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES/COMP/inca.card	(revision 4943)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES/COMP/inca.card	(revision 4971)
@@ -16,4 +16,12 @@
 #be careful name of sflx file change with the choice of emi_interp_time ( no file / sflx_p2p.nc) 
 emi_interp_time=1
+
+# Specify output frequency for output files 
+# you can choose the frequency 1d (daily), 1mo (monthly), other (1ts, 5d, etc.) or NONE if to deactivate it
+# if you choose 1d the file will be store in CHM/Output/DA
+# if you choose 1mo the file will be store in CHM/Output/MO
+# if you choose another frequency, the file will be store in CHM/Output/DA by default
+output_frequency_ges=1d
+
 
 [InitialStateFiles]
@@ -45,6 +53,5 @@
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml, .) ,\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml, file_def_inca_restart.xml ), \
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_GES_daily.xml, file_def_inca_daily.xml ), \
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_GES_monthly.xml, file_def_inca_monthly.xml ), \
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_GES.xml, file_def_inca.xml ), \
     	(${MODIPSL}/bin/inca_${ResolAtm}_${OptMode}_${ConfChem}.dat, inca.dat)
 
@@ -58,9 +65,9 @@
 
 [OutputText]
-List=(inca.out, inca.def,context_inca.xml,field_def_inca.xml,file_def_inca_daily.xml,file_def_inca_monthly.xml, inca_IDxml.out)
+List=(inca.out, inca.def,context_inca.xml,field_def_inca.xml,file_def_inca.xml, inca_IDxml.out)
 
 [OutputFiles]
 List=	(inca1d_ges.nc,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_ges.nc, Post_1D_inca_ges  ),\
-	(inca1m_ges.nc,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_ges.nc, NONE  )
+	(inca1mo_ges.nc,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_ges.nc, NONE  )
 
 
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC/COMP/inca.card	(revision 4943)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC/COMP/inca.card	(revision 4971)
@@ -18,4 +18,23 @@
 #be careful name of sflx file change with the choice of emi_interp_time ( no file / sflx_p2p.nc) 
 emi_interp_time=1
+
+
+
+# Specify output frequency for output files 
+# File inca_oxydants will be systematically write in output with a monthly frequency - you cannot manage it from this card
+# for other files you can choose the frequency 1d (daily), 1mo (monthly), other (1ts, 5d, etc.) or NONE if to deactivate it
+# if you choose 1d the file will be store in CHM/Output/DA
+# if you choose 1mo the file will be store in CHM/Output/MO
+# if you choose another frequency, the file will be store in CHM/Output/DA by default
+output_frequency_chem=1d
+output_frequency_emi=1d
+output_frequency_species=1d
+output_frequency_dep=1d
+output_frequency_washrate=NONE
+output_frequency_veget=NONE
+output_frequency_reacflux=NONE
+output_frequency_phtrate=NONE
+output_frequency_invariants=NONE
+
 
 [InitialStateFiles]
@@ -48,7 +67,6 @@
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_inca.xml, .)   ,\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml, .) ,\
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_daily.xml, file_def_inca_daily.xml), \
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC.xml, file_def_inca.xml), \
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml, file_def_inca_restart.xml ), \
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_monthly.xml, file_def_inca_monthly.xml), \
     	(${MODIPSL}/bin/inca_${ResolAtm}_${OptMode}_${ConfChem}.dat, inca.dat)
 
@@ -59,5 +77,5 @@
 
 [OutputText]
-List=(inca.out, inca.def,context_inca.xml,field_def_inca.xml,file_def_inca_daily.xml,file_def_inca_monthly.xml, inca_IDxml.out)
+List=(inca.out, inca.def,context_inca.xml,field_def_inca.xml,file_def_inca.xml, inca_IDxml.out)
 
 [OutputFiles]
@@ -68,10 +86,11 @@
 	(inca1d_reacflux.nc,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_reacflux.nc,    NONE  ),\
 	(inca1d_washrate.nc,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_washrate.nc,    NONE  ),\
-	(inca1m_emi.nc     ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_emi.nc     ,    NONE  ),\
-	(inca1m_species.nc ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_species.nc ,    NONE  ),\
-	(inca1m_dep.nc     ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_dep.nc     ,    NONE  ),\
-	(inca1m_chem.nc    ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_chem.nc    ,    NONE  ),\
-	(inca1m_reacflux.nc,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_reacflux.nc,    NONE  ),\
-	(inca1m_washrate.nc,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_washrate.nc,    NONE  )
+	(inca1mo_emi.nc     ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_emi.nc     ,    NONE  ),\
+	(inca1mo_species.nc ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_species.nc ,    NONE  ),\
+	(inca1mo_dep.nc     ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_dep.nc     ,    NONE  ),\
+	(inca1mo_chem.nc    ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_chem.nc    ,    NONE  ),\
+	(inca1mo_reacflux.nc,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_reacflux.nc,    NONE  ),\
+	(inca1mo_washrate.nc,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_washrate.nc,    NONE  ),\
+	(inca_oxydants.nc	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_oxydants.nc	,  NONE  )
 
 
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/inca.card	(revision 4943)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/inca.card	(revision 4971)
@@ -21,4 +21,23 @@
 emi_interp_time=1
 
+
+# Specify output frequency for output files 
+# Files inca_oxydants and aerosols_from_inca will be systematically write in output with a monthly frequency - you cannot manage them from this card
+# for other files you can choose the frequency 1d (daily), 1mo (monthly), other (1ts, 5d, etc.) or NONE if to deactivate it
+# if you choose 1d the file will be store in CHM/Output/DA
+# if you choose 1mo the file will be store in CHM/Output/MO
+# if you choose another frequency, the file will be store in CHM/Output/DA by default
+output_frequency_aero_chem=1ts
+output_frequency_chem=1d
+output_frequency_emi=1d
+output_frequency_species=1d
+output_frequency_forcage=1d
+output_frequency_aero=1d
+output_frequency_dep=1d
+output_frequency_washrate=NONE
+output_frequency_veget=NONE
+output_frequency_reacflux=NONE
+output_frequency_phtrate=NONE
+output_frequency_invariants=NONE
 
 [InitialStateFiles]
@@ -52,6 +71,5 @@
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml, .) ,\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml, file_def_inca_restart.xml ), \
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_AER_daily.xml, file_def_inca_daily.xml), \
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_AER_monthly.xml, file_def_inca_monthly.xml), \
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_AER.xml, file_def_inca.xml), \
     	(${MODIPSL}/bin/inca_${ResolAtm}_${OptMode}_${ConfChem}.dat, inca.dat)
 
@@ -63,8 +81,10 @@
 
 [OutputText]
-List=(inca.out, inca.def,context_inca.xml,field_def_inca.xml,file_def_inca_daily.xml,file_def_inca_monthly.xml, inca_IDxml.out)
+List=(inca.out, inca.def,context_inca.xml,field_def_inca.xml,file_def_inca.xml,inca_IDxml.out)
 
 [OutputFiles]
-List=	(inca1d_emi.nc     	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_emi.nc     	,  NONE                  ),\
+List=	(inca1ts_aero_chem.nc   ,      ${R_OUT_CHM_O_H}/${PREFIX}_1H_inca_aero_chem.nc  ,  NONE                  ),\
+	(inca1d_aero_chem.nc    ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_aero_chem.nc  ,  NONE                  ),\
+	(inca1d_emi.nc     	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_emi.nc     	,  NONE                  ),\
 	(inca1d_species.nc 	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_species.nc 	,  Post_1D_inca_species  ),\
 	(inca1d_dep.nc    	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_dep.nc    	,  NONE                  ),\
@@ -76,15 +96,16 @@
 	(inca1d_forcage.nc 	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_forcage.nc 	,  Post_1D_inca_forcage  ),\
 	(inca1d_veget.nc   	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_veget.nc   	,  Post_1D_inca_veget    ),\
-	(inca1m_emi.nc     	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_emi.nc     	,  NONE                  ),\
-	(inca1m_species.nc 	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_species.nc 	,  NONE                  ),\
-	(inca1m_dep.nc    	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_dep.nc    	,  NONE                  ),\
-	(inca1m_chem.nc    	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_chem.nc    	,  NONE                  ),\
-	(inca1m_aero.nc    	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_aero.nc    	,  NONE                  ),\
-	(inca1m_phtrate.nc 	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_phtrate.nc 	,  NONE  		 ),\
-	(inca1m_reacflux.nc	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_reacflux.nc	,  NONE                  ),\
-	(inca1m_washrate.nc	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_washrate.nc	,  NONE                  ),\
-	(inca1m_forcage.nc 	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_forcage.nc 	,  NONE                  ),\
-	(inca1m_veget.nc   	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_veget.nc   	,  NONE                  ),\
-	(aerosols_from_inca.nc	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_aerosols_from_inca.nc,  NONE			 ),\
+	(inca1mo_aero_chem.nc   ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_aero_chem.nc  ,  NONE                  ),\
+	(inca1mo_emi.nc     	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_emi.nc     	,  NONE                  ),\
+	(inca1mo_species.nc 	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_species.nc 	,  NONE                  ),\
+	(inca1mo_dep.nc    	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_dep.nc    	,  NONE                  ),\
+	(inca1mo_chem.nc    	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_chem.nc    	,  NONE                  ),\
+	(inca1mo_aero.nc    	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_aero.nc    	,  NONE                  ),\
+	(inca1mo_phtrate.nc 	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_phtrate.nc 	,  NONE  		 ),\
+	(inca1mo_reacflux.nc	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_reacflux.nc	,  NONE                  ),\
+	(inca1mo_washrate.nc	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_washrate.nc	,  NONE                  ),\
+	(inca1mo_forcage.nc 	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_forcage.nc 	,  NONE                  ),\
+	(inca1mo_veget.nc   	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_veget.nc   	,  NONE                  ),\
+	(aerosols_from_inca.nc	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_aerosols_from_inca.nc,  NONE		 ),\
 	(inca_oxydants.nc	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_oxydants.nc	,  NONE                  ) 
 
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/inca.card	(revision 4943)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/inca.card	(revision 4971)
@@ -22,4 +22,23 @@
 
 
+# Specify output frequency for output files 
+# Files inca_oxydants and aerosols_from_inca will be systematically write in output with a monthly frequency - you cannot manage them from this card
+# for other files you can choose the frequency 1d (daily), 1mo (monthly), other (1ts, 5d, etc.) or NONE if to deactivate it
+# if you choose 1d the file will be store in CHM/Output/DA
+# if you choose 1mo the file will be store in CHM/Output/MO
+# if you choose another frequency, the file will be store in CHM/Output/DA by default
+output_frequency_aero_chem=1ts
+output_frequency_chem=1d
+output_frequency_emi=1d
+output_frequency_species=1d
+output_frequency_forcage=1d
+output_frequency_aero=1d
+output_frequency_dep=1d
+output_frequency_washrate=NONE
+output_frequency_veget=NONE
+output_frequency_reacflux=NONE
+output_frequency_phtrate=NONE
+output_frequency_invariants=NONE
+
 [InitialStateFiles]
 List= ()
@@ -40,5 +59,5 @@
             (${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/sflx_lmdz_MISC.nc ,   sflx_MISC.nc    )\
             (${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/sflx_lmdz_NAT.nc  ,   sflx_NAT.nc     )\
-            (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/hikari_zero_lmdz_phy.nc     ,   aircraft_hs.nc  )\
+            (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/hikari_sc0_lmdz_phy.nc      ,   aircraft_hs.nc  )\
             (${R_IN}/CHM/INCA${RESOL_CHM}/landuse.nc   			    ,   landuse.nc      )\
             (${R_IN}/CHM/INCA${RESOL_CHM}/rhvEC.txt        		    ,   rhvEC.txt       )\
@@ -56,6 +75,5 @@
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml        , .			),\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml , file_def_inca_restart.xml ), \
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_AER_daily.xml, file_def_inca_daily.xml	),\
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_AER_monthly.xml, file_def_inca_monthly.xml	),\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_AER.xml, file_def_inca.xml	),\
     	(${MODIPSL}/bin/inca_${ResolAtm}_${OptMode}_${ConfChem}.dat					, inca.dat		)
 
@@ -67,8 +85,10 @@
 
 [OutputText]
-List=(inca.out, inca.def,context_inca.xml,field_def_inca.xml,file_def_inca_daily.xml,file_def_inca_monthly.xml, inca_IDxml.out)
+List=(inca.out, inca.def,context_inca.xml,field_def_inca.xml,file_def_inca.xml, inca_IDxml.out)
 
 [OutputFiles]
-List=	(inca1d_emi.nc     	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_emi.nc     	,  NONE                  ),\
+List=	(inca1ts_aero_chem.nc   ,      ${R_OUT_CHM_O_H}/${PREFIX}_1H_inca_aero_chem.nc  ,  NONE                  ),\
+	(inca1d_aero_chem.nc    ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_aero_chem.nc  ,  NONE                  ),\
+	(inca1d_emi.nc     	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_emi.nc     	,  NONE                  ),\
 	(inca1d_species.nc 	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_species.nc 	,  Post_1D_inca_species  ),\
 	(inca1d_dep.nc    	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_dep.nc    	,  NONE                  ),\
@@ -80,15 +100,16 @@
 	(inca1d_forcage.nc 	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_forcage.nc 	,  Post_1D_inca_forcage  ),\
 	(inca1d_veget.nc   	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_veget.nc   	,  Post_1D_inca_veget    ),\
-	(inca1m_emi.nc     	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_emi.nc     	,  NONE                  ),\
-	(inca1m_species.nc 	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_species.nc 	,  NONE                  ),\
-	(inca1m_dep.nc    	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_dep.nc    	,  NONE                  ),\
-	(inca1m_chem.nc    	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_chem.nc    	,  NONE                  ),\
-	(inca1m_aero.nc    	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_aero.nc    	,  NONE                  ),\
-	(inca1m_phtrate.nc 	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_phtrate.nc 	,  NONE  		 ),\
-	(inca1m_reacflux.nc	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_reacflux.nc	,  NONE                  ),\
-	(inca1m_washrate.nc	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_washrate.nc	,  NONE                  ),\
-	(inca1m_forcage.nc 	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_forcage.nc 	,  NONE                  ),\
-	(inca1m_veget.nc   	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_veget.nc   	,  NONE                  ),\
-	(inca_forcagelmdz.nc	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_forcagelmdz.nc,  NONE			 ),\
+	(inca1mo_aero_chem.nc   ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_aero_chem.nc  ,  NONE                  ),\
+	(inca1mo_emi.nc     	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_emi.nc     	,  NONE                  ),\
+	(inca1mo_species.nc 	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_species.nc 	,  NONE                  ),\
+	(inca1mo_dep.nc    	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_dep.nc    	,  NONE                  ),\
+	(inca1mo_chem.nc    	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_chem.nc    	,  NONE                  ),\
+	(inca1mo_aero.nc    	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_aero.nc    	,  NONE                  ),\
+	(inca1mo_phtrate.nc 	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_phtrate.nc 	,  NONE  		 ),\
+	(inca1mo_reacflux.nc	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_reacflux.nc	,  NONE                  ),\
+	(inca1mo_washrate.nc	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_washrate.nc	,  NONE                  ),\
+	(inca1mo_forcage.nc 	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_forcage.nc 	,  NONE                  ),\
+	(inca1mo_veget.nc   	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_veget.nc   	,  NONE                  ),\
+	(aerosols_from_inca.nc	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_aerosols_from_inca.nc,  NONE		 ),\
 	(inca_oxydants.nc	,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_oxydants.nc	,  NONE                  ) 
 
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/DRIVER/inca.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/DRIVER/inca.driver	(revision 4943)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/DRIVER/inca.driver	(revision 4971)
@@ -49,19 +49,4 @@
     echo LMDZ physics version : ${LMDZ_Physics}
 
-    enable1=.FALSE.
-    enable2=.FALSE.
-    enable3=.FALSE. 
-
-    for frequency in ${config_CHM_WriteFrequency} ; do
-	case ${frequency} in 
-	    1D|1d) enable1=.TRUE. ;;
-	esac
-	case ${frequency} in
-	    1M|1m) enable2=.TRUE. ;;
-	esac
-	case ${frequency} in 
-	    1H|1h) enable3=.TRUE. ;; 
-	esac
-    done
 
 
@@ -75,26 +60,234 @@
     IGCM_debug_PushStack "CHM_Update"
 
-
+    if [ X${inca_UserChoices_output_frequency_chem} = X ] || [ X${inca_UserChoices_output_frequency_chem} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml chemistry enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml chemistry name inca1d_chem
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml chemistry output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_chem} = X1d ] || [ X${inca_UserChoices_output_frequency_chem} = X1mo ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml chemistry enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml chemistry name inca${inca_UserChoices_output_frequency_chem}_chem
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml chemistry output_freq ${inca_UserChoices_output_frequency_chem}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml chemistry enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml chemistry name inca1d_chem
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml chemistry output_freq ${inca_UserChoices_output_frequency_chem}
+
+	fi
+    fi
+
+    if [ X${inca_UserChoices_output_frequency_emi} = X ] || [ X${inca_UserChoices_output_frequency_emi} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml emissions enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml emissions name inca1d_emi
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml emissions output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_emi} = X1d ] || [ X${inca_UserChoices_output_frequency_emi} = X1mo ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml emissions enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml emissions name inca${inca_UserChoices_output_frequency_emi}_emi
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml emissions output_freq ${inca_UserChoices_output_frequency_emi}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml emissions enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml emissions name inca1d_emi
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml emissions output_freq ${inca_UserChoices_output_frequency_emi}
+	fi
+    fi
+
+
+    if [ X${inca_UserChoices_output_frequency_species} = X ] || [ X${inca_UserChoices_output_frequency_species} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml species enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml species name inca1d_species
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml species output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_species} = X1d ] || [ X${inca_UserChoices_output_frequency_species} = X1mo ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml species enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml species name inca${inca_UserChoices_output_frequency_species}_species
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml species output_freq ${inca_UserChoices_output_frequency_species}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml species enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml species name inca1d_species
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml species output_freq ${inca_UserChoices_output_frequency_species}
+	fi
+    fi
+
+
+    if [ X${inca_UserChoices_output_frequency_forcage} = X ] || [ X${inca_UserChoices_output_frequency_forcage} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml forcage enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml forcage name inca1d_forcage
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml forcage output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_forcage} = X1d ] || [ X${inca_UserChoices_output_frequency_forcage} = X1mo ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml forcage enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml forcage name inca${inca_UserChoices_output_frequency_forcage}_forcage
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml forcage output_freq ${inca_UserChoices_output_frequency_forcage}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml forcage enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml forcage name inca1d_forcage
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml forcage output_freq ${inca_UserChoices_output_frequency_forcage}
+	fi
+    fi
+
+
+    if [ X${inca_UserChoices_output_frequency_aero} = X ] || [ X${inca_UserChoices_output_frequency_aero} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero name inca1d_aero
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_aero} = X1d ] || [ X${inca_UserChoices_output_frequency_aero} = X1mo ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero name inca${inca_UserChoices_output_frequency_aero}_aero
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero output_freq ${inca_UserChoices_output_frequency_aero}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero name inca1d_aero
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero output_freq ${inca_UserChoices_output_frequency_aero}
+	fi
+    fi
+
+
+    if [ X${inca_UserChoices_output_frequency_dep} = X ] || [ X${inca_UserChoices_output_frequency_dep} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml dvel enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml dvel name inca1d_dep
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml dvel output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_dep} = X1d ] || [ X${inca_UserChoices_output_frequency_dep} = X1mo ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml dvel enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml dvel name inca${inca_UserChoices_output_frequency_dep}_dep
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml dvel output_freq ${inca_UserChoices_output_frequency_dep}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml dvel enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml dvel name inca1d_dep
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml dvel output_freq ${inca_UserChoices_output_frequency_dep}
+	fi
+    fi
+
+    if [ X${inca_UserChoices_output_frequency_washrate} = X ] || [ X${inca_UserChoices_output_frequency_washrate} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml washout enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml washout name inca1d_washrate
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml washout output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_washrate} = X1d ] || [ X${inca_UserChoices_output_frequency_washrate} = X1mo ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml washout enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml washout name inca${inca_UserChoices_output_frequency_washrate}_washrate
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml washout output_freq ${inca_UserChoices_output_frequency_washrate}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml washout enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml washout name inca1d_washrate
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml washout output_freq ${inca_UserChoices_output_frequency_washrate}
+	fi
+    fi
+
+    if [ X${inca_UserChoices_output_frequency_veget} = X ] || [ X${inca_UserChoices_output_frequency_veget} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml vegetation enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml vegetation name inca1d_veget
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml vegetation output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_veget} = X1d ] || [ X${inca_UserChoices_output_frequency_veget} = X1mo ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml vegetation enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml vegetation name inca${inca_UserChoices_output_frequency_veget}_veget
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml vegetation output_freq ${inca_UserChoices_output_frequency_veget}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml vegetation enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml vegetation name inca1d_veget
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml vegetation output_freq ${inca_UserChoices_output_frequency_veget}
+	fi
+    fi
+
+
+    if [ X${inca_UserChoices_output_frequency_reacflux} = X ] || [ X${inca_UserChoices_output_frequency_reacflux} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml reacflux enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml reacflux name inca1d_reacflux
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml reacflux output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_reacflux} = X1d ] || [ X${inca_UserChoices_output_frequency_reacflux} = X1mo ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml reacflux enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml reacflux name inca${inca_UserChoices_output_frequency_reacflux}_reacflux
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml reacflux output_freq ${inca_UserChoices_output_frequency_reacflux}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml reacflux enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml reacflux name inca1d_reacflux
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml reacflux output_freq ${inca_UserChoices_output_frequency_reacflux}
+	fi
+    fi
+
+
+    if [ X${inca_UserChoices_output_frequency_phtrate} = X ] || [ X${inca_UserChoices_output_frequency_phtrate} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml phtrate enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml phtrate name inca1d_phtrate
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml phtrate output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_phtrate} = X1d ] || [ X${inca_UserChoices_output_frequency_phtrate} = X1mo ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml phtrate enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml phtrate name inca${inca_UserChoices_output_frequency_phtrate}_phtrate
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml phtrate output_freq ${inca_UserChoices_output_frequency_phtrate}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml phtrate enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml phtrate name inca1d_phtrate
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml phtrate output_freq ${inca_UserChoices_output_frequency_phtrate}
+	fi
+    fi
+
+    if [ X${inca_UserChoices_output_frequency_ges} = X ] || [ X${inca_UserChoices_output_frequency_ges} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml ges enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml ges name inca1d_ges
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml ges output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_ges} = X1d ] || [ X${inca_UserChoices_output_frequency_ges} = X1mo ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml ges enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml ges name inca${inca_UserChoices_output_frequency_ges}_ges
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml ges output_freq ${inca_UserChoices_output_frequency_ges}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml ges enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml ges name inca1d_ges
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml ges output_freq ${inca_UserChoices_output_frequency_ges}
+	fi
+    fi
+
+    if [ X${inca_UserChoices_output_frequency_invariants} = X ] || [ X${inca_UserChoices_output_frequency_invariants} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml invariants enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml invariants name inca1d_invariants
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml invariants output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_invariants} = X1d ] || [ X${inca_UserChoices_output_frequency_invariants} = X1mo ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml invariants enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml invariants name inca${inca_UserChoices_output_frequency_invariants}_invariants
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml invariants output_freq ${inca_UserChoices_output_frequency_invariants}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml invariants enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml invariants name inca1d_invariants
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml invariants output_freq ${inca_UserChoices_output_frequency_invariants}
+	fi
+    fi
+
+    if [ X${inca_UserChoices_output_frequency_aero_chem} = X ] || [ X${inca_UserChoices_output_frequency_aero_chem} = XNONE ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero_chem enabled FALSE
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero_chem name inca1d_aero_chem
+	IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero_chem output_freq 1d
+	
+    else
+	if [ X${inca_UserChoices_output_frequency_aero_chem} = X1d ] || [ X${inca_UserChoices_output_frequency_aero_chem} = X1mo ] || [ X${inca_UserChoices_output_frequency_aero_chem} = X1ts ] ; then
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero_chem enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero_chem name inca${inca_UserChoices_output_frequency_aero_chem}_aero_chem
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero_chem output_freq ${inca_UserChoices_output_frequency_aero_chem}
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero_chem enabled TRUE
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero_chem name inca1ts_aero_chem
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca.xml aero_chem output_freq ${inca_UserChoices_output_frequency_aero_chem}
+	fi
+    fi
 
     case ${CHEM} in 
 	AER)
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   forcage1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml forcage2     enabled ${enable2}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   aero1        enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml aero2        enabled ${enable2}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   chemistry1   enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml chemistry2   enabled ${enable2}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   emissions1   enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml emissions2   enabled ${enable2}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   species1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml species2     enabled ${enable2}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   dvel1        enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml dvel2        enabled ${enable2}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   washout1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml washout2     enabled ${enable2}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   reacflux1    enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml reacflux2    enabled ${enable2}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml   invariants1  enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml invariants2  enabled ${enable2}
 
 	    if [ X${LMDZ_Physics} = X"AP" ] ; then
@@ -105,15 +298,4 @@
 	;;
 	DUSS)
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml forcage1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml aero1        enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml emissions1   enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml species1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml vegetation1  enabled ${enable1}
-
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml forcage2     enabled ${enable2}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml aero2        enabled ${enable2}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml emissions2   enabled ${enable2}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml species2     enabled ${enable2}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml vegetation2  enabled ${enable2}
 
 	    if [ X${LMDZ_Physics} = X"AP" ] ; then
@@ -124,43 +306,8 @@
 	;;
 	NMHC) 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml reacflux1    enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml emissions1   enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml species1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml chemistry1   enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml dvel1        enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml washout1     enabled ${enable1}
-
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml reacflux2  enabled ${enable2}  
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml emissions2 enabled ${enable2}  
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml species2   enabled ${enable2}  
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml chemistry2 enabled ${enable2}  
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml dvel2      enabled ${enable2}  
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml washout2   enabled ${enable2}  
 
 	    IGCM_comp_modifyDefFile nonblocker run.def config_inca chem
 	    ;;
 	NMHC_AER)
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml aero_chem1   enabled ${enable3}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml forcage1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml aero1        enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml species1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml chemistry1   enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml emissions1   enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml dvel1        enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml phtrate1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml washout1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml reacflux1    enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml vegetation1  enabled ${enable1}
-
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml forcage2    enabled ${enable2}  
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml aero2       enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml species2    enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml chemistry2  enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml emissions2  enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml dvel2       enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml phtrate2    enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml washout2    enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml reacflux2   enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml vegetation2 enabled ${enable2} 
 
 	    if [ X${LMDZ_Physics} = X"AP" ] ; then
@@ -172,27 +319,4 @@
 
 	NMHC_AER_S)
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml aero_chem1  enabled ${enable3}
-
- 	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml forcage1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml aero1        enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml species1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml chemistry1   enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml emissions1   enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml dvel1        enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml phtrate1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml washout1     enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml reacflux1    enabled ${enable1}
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml vegetation1  enabled ${enable1}
-
- 	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml forcage2    enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml aero2       enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml species2    enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml chemistry2  enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml emissions2  enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml phtrate2    enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml dvel2       enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml washout2    enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml reacflux2   enabled ${enable2} 
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml vegetation2 enabled ${enable2}  
 
 	    if [ X${LMDZ_Physics} = X"AP" ] ; then
@@ -203,7 +327,4 @@
 	;;
 	GES)
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml emissions1    enabled ${enable1}
-
-	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_monthly.xml emissions2    enabled ${enable2}
 
 	    IGCM_comp_modifyDefFile nonblocker run.def config_inca chem
